angular.module('app')
    .controller('DnsController', ['$scope', '$state', 'DnsBusiness',
        function($scope, $state, DnsBusiness) {
            $scope.luTable = {
                columns: [
                    {
                        name: "Name",
                        width: 4,
                        getValue: function (item) {
                            return item.Name;
                        }
                    },
                    {
                        name: "Type",
                        width: 8,
                        getValue: function (item) {
                            return item.Type;
                        }
                    }
                ],

                canAdd: function()
                {
                    return true;
                },

                canDel: function()
                {
                    return true;
                },

                canEdit: function()
                {
                    return true;
                },

                getLoadPagePromise: function (page, perPage, query, promise) {
                    return DnsBusiness.getAll({page: page, perPage: perPage, query: query}, promise);
                },

                getDelPromise: function (id, promise) {
                    return DnsBusiness.del({domain_id: id}, promise);
                },

                getEditController: function () {
                    return "CameraEdit";
                }
            };
    }]);
